# -*- coding: utf-8 -*-
"""
Created on Fri Sep 20 12:35:47 2013

@author: M. Touron
"""

import struct  
            
def float2bin(value): 
    val = struct.unpack('Q', struct.pack('d', value))[0]  
    val_out= str(bin(val))[2:].zfill(64)
    return val_out


def float2sem(value): 
    val = struct.unpack('Q', struct.pack('d', value))[0]  
    val_out= str(bin(val))[2:].zfill(64)
    return [val_out[0],val_out[1:12],val_out[12:65]]
      
def bin2float(value):       
    if value[0] == '0':
        val_out=struct.unpack("d", struct.pack("q", int(value,2)))[0]
    else:
        val_out=-(struct.unpack("d", struct.pack("q", int(value[1:],2)))[0])
    return val_out  
