import numpy as np

A=np.array([[1,2,3],
[4,5,6],
[7,8,8.999999]],'float32')
B=np.array([[6],
            [15],
            [23.999999]],'float32')



def transvection(A,B,i,j,mu):
    A[i,:]=A[i,:]+mu*A[j,:]
    B[i]=B[i]+mu*B[j]
    return 

    
    
def triangulation(A,B):
    n=len(A)
    for i in range(n-1):
        pivot=(A[i][i])
        for j in range(i+1,n):
            transvection(A,B,j,i,-A[j,i]/pivot)
    return
    
    
def remontee(A,B):
    n=len(A)
    X=[0.]*n
    for i in range(n-1,-1,-1):
        temp= B[i,0]
        for k in range (i+1,n):
            temp= temp - A[i,k] * X[k] 
        X[i]=temp/A[i,i]
    return X
        

triangulation(A,B)
print('x=',remontee(A,B))
